set terminal png
set xlabel "time[s]"
set ylabel "acceleration [g]"
#set yrange [-1:1]
set autoscale y


#plot data transformed to G units. (3,3V/1024 * 0.8V/G)
k=3.3/1024.0*0.8 # sensitivity constant
zero_gravity=512.0

set output "sobeslav_tabor.png" 
plot "sobeslav_tabor.txt" using 1:(($2-zero_gravity)*k):($3*k) with errorbars title "X", "" using 1:(($4-zero_gravity)*k):($5*k) with errorbars title "Y", "" using 1:(($6-zero_gravity)*k):($7*k) with errorbars title "Z"

set output "tabor_olbramovice.png"
plot "tabor_olbramovice.txt" using 1:(($2-zero_gravity)*k):($3*k) with errorbars title "X", "" using 1:(($4-zero_gravity)*k):($5*k) with errorbars title "Y", "" using 1:(($6-zero_gravity)*k):($7*k) with errorbars title "Z"

set output "olbramovice_benesov.png"
plot "olbramovice_benesov.txt" using 1:(($2-zero_gravity)*k):($3*k) with errorbars title "X", "" using 1:(($4-zero_gravity)*k):($5*k) with errorbars title "Y", "" using 1:(($6-zero_gravity)*k):($7*k) with errorbars title "Z"
